org.apache.lucene.queryparser.xml.builders

## Class RangeFilterBuilder

- java.lang.Object
- - org.apache.lucene.queryparser.xml.builders.RangeFilterBuilder

All Implemented Interfaces:
  FilterBuilder

    public class RangeFilterBuilder
    extends Object
    implements FilterBuilder

Builder for `TermRangeFilter`

### Constructor Summary

Constructors
Constructor and Description
`RangeFilterBuilder()`

### Method Summary

Methods
`Filter` `getFilter(Element e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RangeFilterBuilder

    public RangeFilterBuilder()

### Method Detail

#### getFilter

    public Filter getFilter(Element e)
                     throws ParserException

Specified by:
  `getFilter` in interface `FilterBuilder`
Throws:
  `ParserException`